diff --git a/extensions/meson.build b/extensions/meson.build
index a10349c..5494275 100644
--- a/extensions/meson.build
+++ b/extensions/meson.build
@@ -1,2 +1,4 @@
 subdir('image-properties')
-subdir('audio-video-properties')
+if get_option('gstreamer')
+  subdir('audio-video-properties')
+endif
diff --git a/meson.build b/meson.build
index 00f01f6..bdbd33a 100644
--- a/meson.build
+++ b/meson.build
@@ -102,8 +102,10 @@ libm = cc.find_library('m')
 if get_option('extensions')
   gexiv = dependency('gexiv2', version: '>= 0.14.0')
   gdkpixbuf = dependency('gdk-pixbuf-2.0', version: '>= 2.30.0')
+ if get_option('gstreamer')
   gst_tag_dep = dependency('gstreamer-tag-1.0')
   gst_pbutils_dep = dependency('gstreamer-pbutils-1.0')
+ endif
 endif
 gio = dependency('gio-2.0', version: glib_ver)
 gio_unix = dependency('gio-unix-2.0', version: glib_ver)
diff --git a/meson_options.txt b/meson_options.txt
index fce5f16..1fa8f89 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -13,6 +13,12 @@ option(
   value: true,
   description: 'Build stock extensions',
 )
+option(
+  'gstreamer',
+  type: 'boolean',
+  value: true,
+  description: 'Build audio-video properties extension (requires "extensions")',
+)
 option(
   'introspection',
   type: 'boolean',
